import React from 'react';
import NavBar from '../components/navigation/NavBar';
import NavContent from '../components/navigation/NavContent';

import './NavigationContainer.css';

export default class NavigationContainer extends React.Component {
  constructor() {
    super();
    this.state = {
      mode: 0,
      hasContent: true,
    };
  }

  /**
   * Sets the visible content mode.
   * 0: categories.
   * 1: history.
   * 2: search.
   * 3: favorites.
   * 4: modified.
   */
  handleSetMode = (mode) => {
    const hasContent = mode !== this.state.mode;
    this.setState({
      mode: hasContent ? mode : -1,
      hasContent,
    });
  }

  render() {
    return (
      <div className="NavigationContainer">
        <NavBar
          mode={this.state.mode}
          handleSetMode={this.handleSetMode}
        />
        {
          this.state.hasContent
          ? <NavContent mode={this.state.mode} />
          : null
        }
      </div>
    );
  }
};
